#!/usr/bin/wish

##################Display monthly expenses
proc dmmAcs {} {

#Display for main expenses Puppy Money-0.1

wm title . "                                                       Main Monthly Expenses Summary"
frame .mmes
pack .mmes

cd /usr/local/share/puppymoney/
set slnt [glob -nocomplain .accsl] 

set stn [open $slnt r]

while { [eof $stn] != 1 } {
gets $stn lbac}
set adctnm ct
set ctsn [format "%s%s" $lbac $adctnm]

load /usr/lib/sqlite3/libtclsqlite3.so sqlite3

sqlite3 $ctsn /var/pmdat/$lbac

#Set names for expenses

set pmd Month
set pmf Food
set pmc Clothes
set pmtf Fuel
set pmtc Car
set pmuf Fares
set pmr Rates
set pmrn Rent
set pmuh House
set pmph Phone
set pmel Power
set pmmd Medical
set pment Entertain
set pmhol Holiday
set pmmis Misc
set pmcins Total_Loans
set pmhins Total_Insure

#-------------Get dates from 1st column Jan
set janm [$ctsn eval {select jd from Texpj}]
set janm1a  [lsearch $janm {*-01-2006}]

if {$janm1a < 0} {
set amt1a 0
set amt2a 0
set amt3a 0
set amt4a 0
set amt5a 0
set amt6a 0
set amt7a 0
set amt8a 0
set amt9a 0
set amt10a 0
set amt11a 0
set amt12a 0
set amt13a 0
set amt14a 0
set amt15a 0
set amt16a 0
} else {

#--------Set start & finish dates
set jdl [llength $janm]
set jdle [expr $jdl - 1]
set jdli [lindex $janm $jdle]

#Get amount & total the columns from expenses Jan
set amt1 [$ctsn eval {select jf from Texpj where jd between ('*-01-2006') and $jdli}]
set amt1a [expr [join $amt1 +]]
set amt2 [$ctsn eval {select jc from Texpj where jd between ('*-01-2006') and $jdli}]
set amt2a [expr [join $amt2 +]]
set amt3 [$ctsn eval {select jtf from Texpj where jd between ('*-01-2006') and $jdli}]
set amt3a [expr [join $amt3 +]]
set amt4 [$ctsn eval {select jtc from Texpj where jd between ('*-01-2006') and $jdli}]
set amt4a [expr [join $amt4 +]]
set amt5 [$ctsn eval {select juf from Texpj where jd between ('*-01-2006') and $jdli}]
set amt5a [expr [join $amt5 +]]
set amt6 [$ctsn eval {select jr from Texpj where jd between ('*-01-2006') and $jdli}]
set amt6a [expr [join $amt6 +]]
set amt7 [$ctsn eval {select jrn from Texpj where jd between ('*-01-2006') and $jdli}]
set amt7a [expr [join $amt7 +]]
set amt8 [$ctsn eval {select juh from Texpj where jd between ('*-01-2006') and $jdli}]
set amt8a [expr [join $amt8 +]]
set amt9 [$ctsn eval {select jph from Texpj where jd between ('*-01-2006') and $jdli}]
set amt9a [expr [join $amt9 +]]
set amt10 [$ctsn eval {select jel from Texpj where jd between ('*-01-2006') and $jdli}]
set amt10a [expr [join $amt10 +]]
set amt11 [$ctsn eval {select jmd from Texpj where jd between ('*-01-2006') and $jdli}]
set amt11a [expr [join $amt11 +]]
set amt12 [$ctsn eval {select jent from Texpj where jd between ('*-01-2006') and $jdli}]
set amt12a [expr [join $amt12 +]]
set amt13 [$ctsn eval {select jhol from Texpj where jd between ('*-01-2006') and $jdli}]
set amt13a [expr [join $amt13 +]]
set amt14 [$ctsn eval {select jmis from Texpj where jd between ('*-01-2006') and $jdli}]
set amt14a [expr [join $amt14 +]]

set amtlp [$ctsn eval {select jpln from Texpj where jd between ('*-01-2006') and $jdli}]
set amtlpt [expr [join $amtlp +]]
set amtlcc [$ctsn eval {select jccl from Texpj where jd between ('*-01-2006') and $jdli}]
set amtlcct [expr [join $amtlcc +]]
set amtlca [$ctsn eval {select jcal from Texpj where jd between ('*-01-2006') and $jdli}]
set amtlcat [expr [join $amtlca +]]
set amtlhm [$ctsn eval {select jhml from Texpj where jd between ('*-01-2006') and $jdli}]
set amtlhmt [expr [join $amtlhm +] ]

set amt15a [expr $amtlpt + $amtlcct + $amtlcat + $amtlhmt] 

set amt15 [$ctsn eval {select jcins from Texpj where jd between ('*-01-2006') and $jdli}]
set amt15j [expr [join $amt15 +]]
set amt16 [$ctsn eval {select jhins from Texpj where jd between ('*-01-2006') and $jdli}]
set amt16j [expr [join $amt16 +]]
set amt17 [$ctsn eval {select jlins from Texpj where jd between ('*-01-2006') and $jdli}]
set amt17j [expr [join $amt17 +]]
set amt16a [expr $amt15j + $amt16j + $amt17j]  

}

#Get dates from 1st column Feb

set febm [$ctsn eval {select fd from Texpf}]
set febm1b  [lsearch $febm {*-02-2006}]

if {$febm1b < 0} {
set bmt1a 0
set bmt2a 0
set bmt3a 0
set bmt4a 0
set bmt5a 0
set bmt6a 0
set bmt7a 0
set bmt8a 0
set bmt9a 0
set bmt10a 0
set bmt11a 0
set bmt12a 0
set bmt13a 0
set bmt14a 0
set bmt15a 0
set bmt16a 0
} else {

#--------Set start & finish dates
set fdl [llength $febm]
set fdle [expr $fdl - 1]
set fdli [$ctsn eval {select fd from Texpf limit 1 offset $fdle}]

#Get amount & total the columns from expenses Feb
set bmt1 [$ctsn eval {select ff from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt1a [expr [join $bmt1 +]]
set bmt2 [$ctsn eval {select fc from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt2a [expr [join $bmt2 +]]
set bmt3 [$ctsn eval {select ftf from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt3a [expr [join $bmt3 +]]
set bmt4 [$ctsn eval {select ftc from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt4a [expr [join $bmt4 +]]
set bmt5 [$ctsn eval {select fuf from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt5a [expr [join $bmt5 +]]
set bmt6 [$ctsn eval {select fr from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt6a [expr [join $bmt6 +]]
set bmt7 [$ctsn eval {select frn from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt7a [expr [join $bmt7 +]]
set bmt8 [$ctsn eval {select fuh from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt8a [expr [join $bmt8 +]]
set bmt9 [$ctsn eval {select fph from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt9a [expr [join $bmt9 +]]
set bmt10 [$ctsn eval {select fel from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt10a [expr [join $bmt10 +]]
set bmt11 [$ctsn eval {select fmd from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt11a [expr [join $bmt11 +]]
set bmt12 [$ctsn eval {select fent from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt12a [expr [join $bmt12 +]]
set bmt13 [$ctsn eval {select fhol from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt13a [expr [join $bmt13 +]]
set bmt14 [$ctsn eval {select fmis from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt14a [expr [join $bmt14 +]]
set bmt15 [$ctsn eval {select fcins from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt15j [expr [join $bmt15 +]]
set bmt16 [$ctsn eval {select fhins from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt16j [expr [join $bmt16 +]]
set bmt17 [$ctsn eval {select flins from Texpf where fd between ('*-02-2006') and $fdli}]
set bmt17j [expr [join $bmt17 +]]

set bmt16a [expr $bmt15j + $bmt16j + $bmt17j]

set bmtlp [$ctsn eval {select fpln from Texpf where fd between ('*-02-2006') and $fdli}]
set bmtlpt [expr [join $bmtlp +]]
set bmtlcc [$ctsn eval {select fccl from Texpf where fd between ('*-02-2006') and $fdli}]
set bmtlcct [expr [join $bmtlcc +]]
set bmtlca [$ctsn eval {select fcal from Texpf where fd between ('*-02-2006') and $fdli}]
set bmtlcat [expr [join $bmtlca +]]
set bmtlhm [$ctsn eval {select fhml from Texpf where fd between ('*-02-2006') and $fdli}]
set bmtlhmt [expr [join $bmtlhm +]] 

set bmt15a [expr $bmtlpt + $bmtlcct + $bmtlcat + $bmtlhmt]   
}

#------------------------Get dates from 1st column March

set marm [$ctsn eval {select md from Texpm}]
set marm1c  [lsearch $marm {*-03-2006}]

if {$marm1c < 0} {
set cmt1a 0
set cmt2a 0
set cmt3a 0
set cmt4a 0
set cmt5a 0
set cmt6a 0
set cmt7a 0
set cmt8a 0
set cmt9a 0
set cmt10a 0
set cmt11a 0
set cmt12a 0
set cmt13a 0
set cmt14a 0
set cmt15a 0
set cmt16a 0
} else {

set mdl [llength $marm]
set mdle [expr $mdl - 1]
set mdli [$ctsn eval {select md from Texpm limit 1 offset $mdle}]

#---------------Get amount & total the columns from expenses Mar
set cmt1 [$ctsn eval {select mf from Texpm where md between ('*-03-2006') and $mdli}]
set cmt1a [expr [join $cmt1 +]]
set cmt2 [$ctsn eval {select mc from Texpm where md between ('*-03-2006') and $mdli}]
set cmt2a [expr [join $cmt2 + ]]
set cmt3 [$ctsn eval {select mtf from Texpm where md between ('*-03-2006') and $mdli}]
set cmt3a [expr [join $cmt3 + ]]
set cmt4 [$ctsn eval {select mtc from Texpm where md between ('*-03-2006') and $mdli}]
set cmt4a [expr [join $cmt4 + ]]
set cmt5 [$ctsn eval {select muf from Texpm where md between ('*-03-2006') and $mdli}]
set cmt5a [expr [join $cmt5 + ]]
set cmt6 [$ctsn eval {select mr from Texpm where md between ('*-03-2006') and $mdli}]
set cmt6a [expr [join $cmt6 + ]]
set cmt7 [$ctsn eval {select mrn from Texpm where md between ('*-03-2006') and $mdli}]
set cmt7a [expr [join $cmt7 + ]]
set cmt8 [$ctsn eval {select muh from Texpm where md between ('*-03-2006') and $mdli}]
set cmt8a [expr [join $cmt8 + ]]
set cmt9 [$ctsn eval {select mph from Texpm where md between ('*-03-2006') and $mdli}]
set cmt9a [expr [join $cmt9 + ]]
set cmt10 [$ctsn eval {select mel from Texpm where md between ('*-03-2006') and $mdli}]
set cmt10a [expr [join $cmt10 + ]]
set cmt11 [$ctsn eval {select mmd from Texpm where md between ('*-03-2006') and $mdli}]
set cmt11a [expr [join $cmt11 + ]]
set cmt12 [$ctsn eval {select ment from Texpm where md between ('*-03-2006') and $mdli}]
set cmt12a [expr [join $cmt12 + ]]
set cmt13 [$ctsn eval {select mhol from Texpm where md between ('*-03-2006') and $mdli}]
set cmt13a [expr [join $cmt13 + ]]
set cmt14 [$ctsn eval {select mmis from Texpm where md between ('*-03-2006') and $mdli}]
set cmt14a [expr [join $cmt14 + ]]
set cmt15 [$ctsn eval {select mcins from Texpm where md between ('*-03-2006') and $mdli}]
set cmt15j [expr [join $cmt15 + ]]
set cmt16 [$ctsn eval {select mhins from Texpm where md between ('*-03-2006') and $mdli}]
set cmt16j [expr [join $cmt16 + ]]
set cmt17 [$ctsn eval {select mlins from Texpm where md between ('*-03-2006') and $mdli}]
set cmt17j [expr [join $cmt17 + ]]

set cmt16a [expr $cmt15j + $cmt16j + $cmt17j]

set cmtlp [$ctsn eval {select mpln from Texpm where md between ('*-03-2006') and $mdli}]
set cmtlpt [expr [join $cmtlp +]]
set cmtlcc [$ctsn eval {select mccl from Texpm where md between ('*-03-2006') and $mdli}]
set cmtlcct [expr [join $cmtlcc +]]
set cmtlca [$ctsn eval {select mcal from Texpm where md between ('*-03-2006') and $mdli}]
set cmtlcat [expr [join $cmtlca +]]
set cmtlhm [$ctsn eval {select mhml from Texpm where md between ('*-03-2006') and $mdli}]
set cmtlhmt [expr [join $cmtlhm +]] 

set cmt15a [expr $cmtlpt + $cmtlcct + $cmtlcat + $cmtlhmt]   
}

#-------------Get dates from 1st column April

set aprm [$ctsn eval {select ad from Texpa}]
set aprm1d  [lsearch $aprm {*-04-2006}]

if {$aprm1d < 0} {
set dmt1a 0
set dmt2a 0
set dmt3a 0
set dmt4a 0
set dmt5a 0
set dmt6a 0
set dmt7a 0
set dmt8a 0
set dmt9a 0
set dmt10a 0
set dmt11a 0
set dmt12a 0
set dmt13a 0
set dmt14a 0
set dmt15a 0
set dmt16a 0
} else {

set adl [llength $aprm]
set adle [expr $adl - 1]
set adli [$ctsn eval {select ad from Texpa limit 1 offset $adle}]

#--------------------Get amount & total the columns from expenses Apr
set dmt1 [$ctsn eval {select af from Texpa where ad between ('*-04-2006') and $adli}]
set dmt1a [expr [join $dmt1 +]]
set dmt2 [$ctsn eval {select ac from Texpa where ad between ('*-04-2006') and $adli}]
set dmt2a [expr [join $dmt2 + ]]
set dmt3 [$ctsn eval {select atf from Texpa where ad between ('*-04-2006') and $adli}]
set dmt3a [expr [join $dmt3 + ]]
set dmt4 [$ctsn eval {select atc from Texpa where ad between ('*-04-2006') and $adli}]
set dmt4a [expr [join $dmt4 + ]]
set dmt5 [$ctsn eval {select auf from Texpa where ad between ('*-04-2006') and $adli}]
set dmt5a [expr [join $dmt5 + ]]
set dmt6 [$ctsn eval {select ar from Texpa where ad between ('*-04-2006') and $adli}]
set dmt6a [expr [join $dmt6 + ]]
set dmt7 [$ctsn eval {select arn from Texpa where ad between ('*-04-2006') and $adli}]
set dmt7a [expr [join $dmt7 + ]]
set dmt8 [$ctsn eval {select auh from Texpa where ad between ('*-04-2006') and $adli}]
set dmt8a [expr [join $dmt8 + ]]
set dmt9 [$ctsn eval {select aph from Texpa where ad between ('*-04-2006') and $adli}]
set dmt9a [expr [join $dmt9 + ]]
set dmt10 [$ctsn eval {select ael from Texpa where ad between ('*-04-2006') and $adli}]
set dmt10a [expr [join $dmt10 + ]]
set dmt11 [$ctsn eval {select amd from Texpa where ad between ('*-04-2006') and $adli}]
set dmt11a [expr [join $dmt11 + ]]
set dmt12 [$ctsn eval {select aent from Texpa where ad between ('*-04-2006') and $adli}]
set dmt12a [expr [join $dmt12 + ]]
set dmt13 [$ctsn eval {select ahol from Texpa where ad between ('*-04-2006') and $adli}]
set dmt13a [expr [join $dmt13 + ]]
set dmt14 [$ctsn eval {select amis from Texpa where ad between ('*-04-2006') and $adli}]
set dmt14a [expr [join $dmt14 + ]]
set dmt15 [$ctsn eval {select acins from Texpa where ad between ('*-04-2006') and $adli}]
set dmt15j [expr [join $dmt15 + ]]
set dmt16 [$ctsn eval {select ahins from Texpa where ad between ('*-04-2006') and $adli}]
set dmt16j [expr [join $dmt16 + ]]
set dmt17 [$ctsn eval {select alins from Texpa where ad between ('*-04-2006') and $adli}]
set dmt17j [expr [join $dmt17 + ]]

set dmt16a [expr $dmt15j + $dmt16j +$dmt17j]

set dmtlp [$ctsn eval {select apln from Texpa where ad between ('*-04-2006') and $adli}]
set dmtlpt [expr [join $dmtlp +]]
set dmtlcc [$ctsn eval {select accl from Texpa where ad between ('*-04-2006') and $adli}]
set dmtlcct [expr [join $dmtlcc +]]
set dmtlca [$ctsn eval {select acal from Texpa where ad between ('*-04-2006') and $adli}]
set dmtlcat [expr [join $dmtlca +]]
set dmtlhm [$ctsn eval {select ahml from Texpa where ad between ('*-04-2006') and $adli}]
set dmtlhmt [expr [join $dmtlhm +]] 

set amt15a [expr $dmtlpt + $dmtlcct + $dmtlcat + $dmtlhmt]   
}

#------------------Get dates from 1st column May

set maym [$ctsn eval {select mad from Texpma}]
set maym1e  [lsearch $maym {*-05-2006}]

if {$maym1e < 0} {
set emt1a 0
set emt2a 0
set emt3a 0
set emt4a 0
set emt5a 0
set emt6a 0
set emt7a 0
set emt8a 0
set emt9a 0
set emt10a 0
set emt11a 0
set emt12a 0
set emt13a 0
set emt14a 0
set emt15a 0
set emt16a 0
} else {

set madl [llength $maym]
set madle [expr $madl - 1]
set madli [$ctsn eval {select mad from Texpma limit 1 offset $madle}]

#----------------Get amount & total the columns from expenses May
set emt1 [$ctsn eval {select maf from Texpma where mad between ('*-05-2006') and $madli}]
set emt1a [expr [join $emt1 +]]
set emt2 [$ctsn eval {select mac from Texpma where mad between ('*-05-2006') and $madli}]
set emt2a [expr [join $emt2 + ]]
set emt3 [$ctsn eval {select matf from Texpma where mad between ('*-05-2006') and $madli}]
set emt3a [expr [join $emt3 + ]]
set emt4 [$ctsn eval {select matc from Texpma where mad between ('*-05-2006') and $madli}]
set emt4a [expr [join $emt4 + ]]
set emt5 [$ctsn eval {select mauf from Texpma where mad between ('*-05-2006') and $madli}]
set emt5a [expr [join $emt5 + ]]
set emt6 [$ctsn eval {select mar from Texpma where mad between ('*-05-2006') and $madli}]
set emt6a [expr [join $emt6 + ]]
set emt7 [$ctsn eval {select marn from Texpma where mad between ('*-05-2006') and $madli}]
set emt7a [expr [join $emt7 + ]]
set emt8 [$ctsn eval {select mauh from Texpma where mad between ('*-05-2006') and $madli}]
set emt8a [expr [join $emt8 + ]]
set emt9 [$ctsn eval {select maph from Texpma where mad between ('*-05-2006') and $madli}]
set emt9a [expr [join $emt9 + ]]
set emt10 [$ctsn eval {select mael from Texpma where mad between ('*-05-2006') and $madli}]
set emt10a [expr [join $emt10 + ]]
set emt11 [$ctsn eval {select mamd from Texpma where mad between ('*-05-2006') and $madli}]
set emt11a [expr [join $emt11 + ]]
set emt12 [$ctsn eval {select maent from Texpma where mad between ('*-05-2006') and $madli}]
set emt12a [expr [join $emt12 + ]]
set emt13 [$ctsn eval {select mahol from Texpma where mad between ('*-05-2006') and $madli}]
set emt13a [expr [join $emt13 + ]]
set emt14 [$ctsn eval {select mamis from Texpma where mad between ('*-05-2006') and $madli}]
set emt14a [expr [join $emt14 + ]]
set emt15 [$ctsn eval {select macins from Texpma where mad between ('*-05-2006') and $madli}]
set emt15j [expr [join $emt15 + ]]
set emt16 [$ctsn eval {select mahins from Texpma where mad between ('*-05-2006') and $madli}]
set emt16j [expr [join $emt16 + ]]
set emt17 [$ctsn eval {select malins from Texpma where mad between ('*-05-2006') and $madli}]
set emt17j [expr [join $emt17 + ]]

set emt16a [expr $emt15j + $emt16j +$emt17j]

set emtlp [$ctsn eval {select mypln from Texpj where mad between ('*-05-2006') and $madli}]
set emtlpt [expr [join $amtlp +]]
set emtlcc [$ctsn eval {select myccl from Texpj where mad between ('*-05-2006') and $madli}]
set emtlcct [expr [join $amtlcc +]]
set emtlca [$ctsn eval {select mycal from Texpj where nad between ('*-05-2006') and $madli}]
set emtlcat [expr [join $amtlca +]]
set emtlhm [$ctsn eval {select myhml from Texpj where mad between ('*-05-2006') and $madli}]
set emtlhmt [expr [join $amtlhm +]] 

set emt15a [expr $emtlpt + $emtlcct + $emtlcat + $emtlhmt]   
}

#--------------Get dates from 1st column June

set junm [$ctsn eval {select jnd from Texpjn}]
set junm1f  [lsearch $junm {*-06-2006}]

if {$junm1f < 0} {
set fmt1a 0
set fmt2a 0
set fmt3a 0
set fmt4a 0
set fmt5a 0
set fmt6a 0
set fmt7a 0
set fmt8a 0
set fmt9a 0
set fmt10a 0
set fmt11a 0
set fmt12a 0
set fmt13a 0
set fmt14a 0
set fmt15a 0
set fmt16a 0
} else {

set jndl [llength $junm]
set jndle [expr $jndl - 1]
set jndli [$ctsn eval {select jnd from Texpjn limit 1 offset $jndle}]

#------------Get amount & total the columns from expenses June
set fmt1 [$ctsn eval {select jnf from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt1a [expr [join $fmt1 +]]
set fmt2 [$ctsn eval {select jnc from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt2a [expr [join $fmt2 + ]]
set fmt3 [$ctsn eval {select jntf from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt3a [expr [join $fmt3 + ]]
set fmt4 [$ctsn eval {select jntc from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt4a [expr [join $fmt4 + ]]
set fmt5 [$ctsn eval {select jnuf from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt5a [expr [join $fmt5 + ]]
set fmt6 [$ctsn eval {select jnr from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt6a [expr [join $fmt6 + ]]
set fmt7 [$ctsn eval {select jnrn from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt7a [expr [join $fmt7 + ]]
set fmt8 [$ctsn eval {select jnuh from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt8a [expr [join $fmt8 + ]]
set fmt9 [$ctsn eval {select jnph from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt9a [expr [join $fmt9 + ]]
set fmt10 [$ctsn eval {select jnel from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt10a [expr [join $fmt10 + ]]
set fmt11 [$ctsn eval {select jnmd from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt11a [expr [join $fmt11 + ]]
set fmt12 [$ctsn eval {select jnent from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt12a [expr [join $fmt12 + ]]
set fmt13 [$ctsn eval {select jnhol from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt13a [expr [join $fmt13 + ]]
set fmt14 [$ctsn eval {select jnmis from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt14a [expr [join $fmt14 + ]]
set fmt15 [$ctsn eval {select jncins from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt15j [expr [join $fmt15 + ]]
set fmt16 [$ctsn eval {select jnhins from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt16j [expr [join $fmt16 + ]]
set fmt17 [$ctsn eval {select jnlins from Texpp where jnd between ('*-06-2006') and $jndli}]
set fmt17j [expr [join $fmt17 + ]]

set fmt16a [expr $fmt15j + $fmt16j + $fmt17j]

set fmtlp [$ctsn eval {select jupln from Texpj where jnd between ('*-06-2006') and $jndli}]
set fmtlpt [expr [join $fmtlp +]]
set fmtlcc [$ctsn eval {select juccl from Texpj where jnd between ('*-06-2006') and $jndli}]
set fmtlcct [expr [join $fmtlcc +]]
set fmtlca [$ctsn eval {select jucal from Texpj where jnd between ('*-06-2006') and $jndli}]
set fmtlcat [expr [join $fmtlca +]]
set fmtlhm [$ctsn eval {select juhml from Texpj where jnd between ('*-06-2006') and $jndli}]
set fmtlhmt [expr [join $fmtlhm +]] 

set fmt15a [expr $fmtlpt + $fmtlcct + $fmtlcat + $fmtlhmt]   
}

#---------------------Get dates from 1st column July

set julm [$ctsn eval {select jld from Texpjl}]
set julm1g  [lsearch $julm {*-07-2006}]

if {$julm1g < 0} {
set gmt1a 0
set gmt2a 0
set gmt3a 0
set gmt4a 0
set gmt5a 0
set gmt6a 0
set gmt7a 0
set gmt8a 0
set gmt9a 0
set gmt10a 0
set gmt11a 0
set gmt12a 0
set gmt13a 0
set gmt14a 0
set gmt15a 0
set gmt16a 0
} else {

set jldl [llength $julm]
set jldle [expr $jldl - 1]
set jldli [$ctsn eval {select jld from Texpjl limit 1 offset $jldle}]

#--------------Get amount & total the columns from expenses July
set gmt1 [$ctsn eval {select jlf from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt1a [expr [join $gmt1 +]]
set gmt2 [$ctsn eval {select jlc from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt2a [expr [join $gmt2 + ]]
set gmt3 [$ctsn eval {select jltf from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt3a [expr [join $gmt3 + ]]
set gmt4 [$ctsn eval {select jltc from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt4a [expr [join $gmt4 + ]]
set gmt5 [$ctsn eval {select jluf from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt5a [expr [join $gmt5 + ]]
set gmt6 [$ctsn eval {select jlr from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt6a [expr [join $gmt6 + ]]
set gmt7 [$ctsn eval {select jlrn from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt7a [expr [join $gmt7 + ]]
set gmt8 [$ctsn eval {select jluh from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt8a [expr [join $gmt8 + ]]
set gmt9 [$ctsn eval {select jlph from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt9a [expr [join $gmt9 + ]]
set gmt10 [$ctsn eval {select jlel from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt10a [expr [join $gmt10 + ]]
set gmt11 [$ctsn eval {select jlmd from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt11a [expr [join $gmt11 + ]]
set gmt12 [$ctsn eval {select jlent from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt12a [expr [join $gmt12 + ]]
set gmt13 [$ctsn eval {select jlhol from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt13a [expr [join $gmt13 + ]]
set gmt14 [$ctsn eval {select jlmis from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt14a [expr [join $gmt14 + ]]
set gmt15 [$ctsn eval {select jlcins from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt15j [expr [join $gmt15 + ]]
set gmt16 [$ctsn eval {select jlhins from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt16j [expr [join $gmt16 + ]]
set gmt17 [$ctsn eval {select jllins from Texpjl where jld between ('*-07-2006') and $jldli}]
set gmt17j [expr [join $gmt16 + ]]

set gmt16a [expr $gmt15j + $gmt16j + $gmt17j]

set gmtlp [$ctsn eval {select jypln from Texpj where jld between ('*-07-2006') and $jldli}]
set gmtlpt [expr [join $gmtlp +]]
set gmtlcc [$ctsn eval {select jyccl from Texpj where jld between ('*-07-2006') and $jldli}]
set gmtlcct [expr [join $gmtlcc +]]
set gmtlca [$ctsn eval {select jycal from Texpj where jld between ('*-07-2006') and $jldli}]
set gmtlcat [expr [join $gmtlca +]]
set gmtlhm [$ctsn eval {select jyhml from Texpj where jld between ('*-07-2006') and $jldli}]
set gmtlhmt [expr [join $gmtlhm +]] 

set gmt15a [expr $gmtlpt + $gmtlcct + $gmtlcat + $gmtlhmt]   
}

#-------------------Get dates from 1st column Aug

set augm [$ctsn eval {select agd from Texpag}]
set augm1h  [lsearch $augm {*-08-2006}]

if {$augm1h < 0} {
set hmt1a 0
set hmt2a 0
set hmt3a 0
set hmt4a 0
set hmt5a 0
set hmt6a 0
set hmt7a 0
set hmt8a 0
set hmt9a 0
set hmt10a 0
set hmt11a 0
set hmt12a 0
set hmt13a 0
set hmt14a 0
set hmt15a 0
set hmt16a 0
} else {

set agdl [llength $augm]
set agdle [expr $agdl - 1]
set agdli [$ctsn eval {select agd from Texpag limit 1 offset $agdle}]

#---------------Get amount & total the columns from expenses Aug
set hmt1 [$ctsn eval {select agf from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt1a [expr [join $hmt1 +]]
set hmt2 [$ctsn eval {select agc from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt2a [expr [join $hmt2 +]]
set hmt3 [$ctsn eval {select agtf from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt3a [expr [join $hmt3 +]]
set hmt4 [$ctsn eval {select agtc from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt4a [expr [join $hmt4 +]]
set hmt5 [$ctsn eval {select aguf from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt5a [expr [join $hmt5 +]]
set hmt6 [$ctsn eval {select agr from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt6a [expr [join $hmt6 +]]
set hmt7 [$ctsn eval {select agrn from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt7a [expr [join $hmt7 +]]
set hmt8 [$ctsn eval {select aguh from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt8a [expr [join $hmt8 +]]
set hmt9 [$ctsn eval {select agph from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt9a [expr [join $hmt9 +]]
set hmt10 [$ctsn eval {select agel from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt10a [expr [join $hmt10 +]]
set hmt11 [$ctsn eval {select agmd from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt11a [expr [join $hmt11 +]]
set hmt12 [$ctsn eval {select agent from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt12a [expr [join $hmt12 +]]
set hmt13 [$ctsn eval {select aghol from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt13a [expr [join $hmt13 +]]
set hmt14 [$ctsn eval {select agmis from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt14a [expr [join $hmt14 +]]
set hmt15 [$ctsn eval {select agcins from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt15j [expr [join $hmt15 +]]
set hmt16 [$ctsn eval {select aghins from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt16j [expr [join $hmt16 +]]
set hmt17 [$ctsn eval {select aglins from Texpag where agd between ('*-08-2006') and $agdli}]
set hmt17j [expr [join $hmt17 +]]

set hmt16a [expr $hmt15j + $hmt16j + $hmt17j]

set hmtlp [$ctsn eval {select agpln from Texpj where agd between ('*-08-2006') and $agdli}]
set hmtlpt [expr [join $hmtlp +]]
set hmtlcc [$ctsn eval {select agccl from Texpj where agd between ('*-08-2006') and $agdli}]
set hmtlcct [expr [join $hmtlcc +]]
set hmtlca [$ctsn eval {select agcal from Texpj where agd between ('*-08-2006') and $agdli}]
set hmtlcat [expr [join $hmtlca +]]
set hmtlhm [$ctsn eval {select aghml from Texpj where agd between ('*-08-2006') and $agdli}]
set hmtlhmt [expr [join $hmtlhm +]] 

set hmt15a [expr $hmtlpt + $hmtlcct + $hmtlcat + $hmtlhmt]   
}

#----------------------Get dates from 1st column Sept

set sepm [$ctsn eval {select sd from Texps}]
set sepm1i  [lsearch $sepm {*-09-2006}]

if {$sepm1i < 0} {
set imt1a 0
set imt2a 0
set imt3a 0
set imt4a 0
set imt5a 0
set imt6a 0
set imt7a 0
set imt8a 0
set imt9a 0
set imt10a 0
set imt11a 0
set imt12a 0
set imt13a 0
set imt14a 0
set imt15a 0
set imt16a 0
} else {

set sdl [llength $sepm]
set sdle [expr $sdl - 1]
set sdli [$ctsn eval {select sd from Texps limit 1 offset $sdle}]

#-------------Get amount & total the columns from expenses Sept
set imt1 [$ctsn eval {select sf from Texps where sd between ('*-09-2006') and $sdli}]
set imt1a [expr [join $imt1 +]]
set imt2 [$ctsn eval {select sc from Texps where sd between ('*-09-2006') and $sdli}]
set imt2a [expr [join $imt2 +]]
set imt3 [$ctsn eval {select stf from Texps where sd between ('*-09-2006') and $sdli}]
set imt3a [expr [join $imt3 +]]
set imt4 [$ctsn eval {select stc from Texps where sd between ('*-09-2006') and $sdli}]
set imt4a [expr [join $imt4 +]]
set imt5 [$ctsn eval {select suf from Texps where sd between ('*-09-2006') and $sdli}]
set imt5a [expr [join $imt5 +]]
set imt6 [$ctsn eval {select sr from Texps where sd between ('*-09-2006') and $sdli}]
set imt6a [expr [join $imt6 +]]
set imt7 [$ctsn eval {select srn from Texps where sd between ('*-09-2006') and $sdli}]
set imt7a [expr [join $imt7 +]]
set imt8 [$ctsn eval {select suh from Texps where sd between ('*-09-2006') and $sdli}]
set imt8a [expr [join $imt8 +]]
set imt9 [$ctsn eval {select sph from Texps where sd between ('*-09-2006') and $sdli}]
set imt9a [expr [join $imt9 +]]
set imt10 [$ctsn eval {select sel from Texps where sd between ('*-09-2006') and $sdli}]
set imt10a [expr [join $imt10 +]]
set imt11 [$ctsn eval {select smd from Texps where sd between ('*-09-2006') and $sdli}]
set imt11a [expr [join $imt11 +]]
set imt12 [$ctsn eval {select sent from Texps where sd between ('*-09-2006') and $sdli}]
set imt12a [expr [join $imt12 +]]
set imt13 [$ctsn eval {select shol from Texps where sd between ('*-09-2006') and $sdli}]
set imt13a [expr [join $imt13 +]]
set imt14 [$ctsn eval {select smis from Texps where sd between ('*-09-2006') and $sdli}]
set imt14a [expr [join $imt14 +]]
set imt15 [$ctsn eval {select scins from Texps where sd between ('*-09-2006') and $sdli}]
set imt15j [expr [join $imt15 +]]
set imt16 [$ctsn eval {select shins from Texps where sd between ('*-09-2006') and $sdli}]
set imt16j [expr [join $imt16 +]]
set imt17 [$ctsn eval {select slins from Texps where sd between ('*-09-2006') and $sdli}]
set imt17j [expr [join $imt17 +]]

set imt16a [expr $imt15j + $imt16j + $imt17j]

set imtlp [$ctsn eval {select spln from Texpj where sd between ('*-09-2006') and $sdli}]
set imtlpt [expr [join $imtlp +]]
set imtlcc [$ctsn eval {select sccl from Texpj where sd between ('*-09-2006') and $sdli}]
set imtlcct [expr [join $imtlcc +]]
set imtlca [$ctsn eval {select scal from Texpj where sd between ('*-09-2006') and $sdli}]
set imtlcat [expr [join $imtlca +]]
set imtlhm [$ctsn eval {select shml from Texpj where sd between ('*-09-2006') and $sdli}]
set imtlhmt [expr [join $imtlhm +]] 

set imt15a [expr $imtlpt + $imtlcct + $imtlcat + $imtlhmt]   
}

#-------------------Get dates from 1st column Oct

set octm [$ctsn eval {select od from Texpo}]
set octm1j  [lsearch $octm {*-10-2006}]

if {$octm1j < 0} {
set jmt1a 0
set jmt2a 0
set jmt3a 0
set jmt4a 0
set jmt5a 0
set jmt6a 0
set jmt7a 0
set jmt8a 0
set jmt9a 0
set jmt10a 0
set jmt11a 0
set jmt12a 0
set jmt13a 0
set jmt14a 0
set jmt15a 0
set jmt16a 0
} else {

set odl [llength $octm]
set odle [expr $fdl - 1]
set odli [$ctsn eval {select od from Texpo limit 1 offset $odle}]

#------------------Get amount & total the columns from expenses Oct
set jmt1 [$ctsn eval {select of from Texpo where od between ('*-10-2006') and $odli}]
set jmt1a [expr [join $jmt1 +]]
set jmt2 [$ctsn eval {select oc from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt2a [expr [join $jmt2 + ]]
set jmt3 [$ctsn eval {select otf from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt3a [expr [join $jmt3 + ]]
set jmt4 [$ctsn eval {select otc from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt4a [expr [join $jmt4 + ]]
set jmt5 [$ctsn eval {select ouf from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt5a [expr [join $jmt5 + ]]
set jmt6 [$ctsn eval {select ocr from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt6a [expr [join $jmt6 + ]]
set jmt7 [$ctsn eval {select orn from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt7a [expr [join $jmt7 + ]]
set jmt8 [$ctsn eval {select ouh from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt8a [expr [join $jmt8 + ]]
set jmt9 [$ctsn eval {select oph from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt9a [expr [join $jmt9 + ]]
set jmt10 [$ctsn eval {select oel from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt10a [expr [join $jmt10 + ]]
set jmt11 [$ctsn eval {select omd from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt11a [expr [join $jmt11 + ]]
set jmt12 [$ctsn eval {select oent from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt12a [expr [join $jmt12 + ]]
set jmt13 [$ctsn eval {select ohol from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt13a [expr [join $jmt13 + ]]
set jmt14 [$ctsn eval {select omis from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt14a [expr [join $jmt14 + ]]
set jmt15 [$ctsn eval {select ocins from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt15j [expr [join $jmt15 + ]]
set jmt16 [$ctsn eval {select ohins from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt16j [expr [join $jmt16 + ]]
set jmt17 [$ctsn eval {select olins from Texpo where od between ('*-10-2006') and ($odli)}]
set jmt17j [expr [join $jmt17 + ]]

set jmt16a [expr $amt15j + $amt16j + $amt17j]

set jmtlp [$ctsn eval {select opln from Texpj where od between ('*-10-2006') and $odli}]
set jmtlpt [expr [join $jmtlp +]]
set jmtlcc [$ctsn eval {select occl from Texpj where od between ('*-10-2006') and $odli}]
set jmtlcct [expr [join $jmtlcc +]]
set jmtlca [$ctsn eval {select ocal from Texpj where od between ('*-10-2006') and $odli}]
set jmtlcat [expr [join $jmtlca +]]
set jmtlhm [$ctsn eval {select ohml from Texpj where od between ('*-10-2006') and $odli}]
set jmtlhmt [expr [join $jmtlhm +]] 

set jmt15a [expr $jmtlpt + $jmtlcct + $jmtlcat + $jmtlhmt]   
}

#-------------------Get dates from 1st column Nov

set novm [$ctsn eval {select nd from Texpn}]
set novm1k  [lsearch $novm {*-11-2006}]

if {$novm1k < 0} {
set kmt1a 0
set kmt2a 0
set kmt3a 0
set kmt4a 0
set kmt5a 0
set kmt6a 0
set kmt7a 0
set kmt8a 0
set kmt9a 0
set kmt10a 0
set kmt11a 0
set kmt12a 0
set kmt13a 0
set kmt14a 0
set kmt15a 0
set kmt16a 0
} else {

set ndl [llength $novm]
set ndle [expr $ndl - 1]
set ndli [$ctsn eval {select nd from Texpn limit 1 offset $ndle}]

#-------------Get amount & total the columns from expenses Nov
set kmt1 [$ctsn eval {select nf from Texpn where nd between ('*-11-2006') and $ndli}]
set kmt1a [expr [join $kmt1 +]]
set kmt2 [$ctsn eval {select nc from Texpn where nd between ('*-11-2006') and $ndli}]
set kmt2a [expr [join $kmt2 +]]
set kmt3 [$ctsn eval {select ntf from Texpn where nd between ('*-11-2006') and $ndli}]
set kmt3a [expr [join $kmt3 +]]
set kmt4 [$ctsn eval {select ntc from Texpn where nd between ('*-11-2006') and $ndli}]
set kmt4a [expr [join $kmt4 +]]
set kmt5 [$ctsn eval {select nuf from Texpn where nd between ('*-11-2006') and $ndli}]
set kmt5a [expr [join $kmt5 +]]
set kmt6 [$ctsn eval {select nr from Texpn where nd between ('*-11-2006') and $ndli}]
set kmt6a [expr [join $kmt6 +]]
set kmt7 [$ctsn eval {select nrn from Texpn where nd between ('*-11-2006') and $ndli}]
set kmt7a [expr [join $kmt7 +]]
set kmt8 [$ctsn eval {select nuh from Texpn where nd between ('*-11-2006') and $ndli}]
set kmt8a [expr [join $kmt8 +]]
set kmt9 [$ctsn eval {select nph from Texpn where nd between ('*-11-2006') and $ndli}]
set kmt9a [expr [join $kmt9 +]]
set kmt10 [$ctsn eval {select nel from Texpn where nd between ('*-11-2006') and $ndli}]
set kmt10a [expr [join $kmt10 +]]
set kmt11 [$ctsn eval {select nmd from Texpn where nd between ('*-11-2006') and $ndli}]
set kmt11a [expr [join $kmt11 +]]
set kmt12 [$ctsn eval {select nent from Texpn where nd between ('*-11-2006') and $ndli}]
set kmt12a [expr [join $kmt12 +]]
set kmt13 [$ctsn eval {select nhol from Texpn where nd between ('*-11-2006') and $ndli}]
set kmt13a [expr [join $kmt13 +]]
set kmt14 [$ctsn eval {select nmis from Texp where nd between ('*-11-2006') and $ndli}]
set kmt14a [expr [join $kmt14 +]]
set kmt15 [$ctsn eval {select ncins from Texp where nd between ('*-11-2006') and $ndli}]
set kmt15j [expr [join $kmt15 +]]
set kmt16 [$ctsn eval {select nhins from Texp where nd between ('*-11-2006') and $ndli}]
set kmt16j [expr [join $kmt16 +]]
set kmt17 [$ctsn eval {select nlins from Texp where nd between ('*-11-2006') and $ndli}]
set kmt17j [expr [join $kmt17 +]]

set kmt16a [expr $amt15j + $amt16j + $amt17j]

set kmtlp [$ctsn eval {select npln from Texpj where nd between ('*-11-2006') and $ndli}]
set kmtlpt [expr [join $kmtlp +]]
set kmtlcc [$ctsn eval {select nccl from Texpj where nd between ('*-11-2006') and $ndli}]
set kmtlcct [expr [join $kmtlcc +]]
set kmtlca [$ctsn eval {select ncal from Texpj where nd between ('*-11-2006') and $ndli}]
set kmtlcat [expr [join $kmtlca +]]
set kmtlhm [$ctsn eval {select nhml from Texpj where nd between ('*-11-2006') and $ndli}]
set kmtlhmt [expr [join $kmtlhm +]] 

set kmt15a [expr $kmtlpt + $kmtlcct + $kmtlcat + $kmtlhmt]   
}

#-----------------------Get dates from 1st column Dec

set decm [$ctsn eval {select dd from Texpd}]
set decm1l  [lsearch $decm {*-12-2006}]

if {$decm1l < 0} {
set lmt1a 0
set lmt2a 0
set lmt3a 0
set lmt4a 0
set lmt5a 0
set lmt6a 0
set lmt7a 0
set lmt8a 0
set lmt9a 0
set lmt10a 0
set lmt11a 0
set lmt12a 0
set lmt13a 0
set lmt14a 0
set lmt15a 0
set lmt16a 0
} else {

set ddl [llength $decm]
set ddle [expr $ddl - 1]
set ddli [$ctsn eval {select dd from Texpd limit 1 offset $ddle}]

#----------------------get amount & total the columns from expenses Dec
set lmt1 [$ctsn eval {select df from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt1a [expr [join $lmt1 +]]
set lmt2 [$ctsn eval {select dc from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt2a [expr [join $lmt2 +]]
set lmt3 [$ctsn eval {select dtf from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt3a [expr [join $lmt3 +]]
set lmt4 [$ctsn eval {select dtc from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt4a [expr [join $lmt4 +]]
set lmt5 [$ctsn eval {select duf from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt5a [expr [join $lmt5 +]]
set lmt6 [$ctsn eval {select dr from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt6a [expr [join $lmt6 +]]
set lmt7 [$ctsn eval {select drn from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt7a [expr [join $lmt7 +]]
set lmt8 [$ctsn eval {select duh from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt8a [expr [join $lmt8 +]]
set lmt9 [$ctsn eval {select dph from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt9a [expr [join $lmt9 +]]
set lmt10 [$ctsn eval {select del from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt10a [expr [join $lmt10 +]]
set lmt11 [$ctsn eval {select dmd from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt11a [expr [join $lmt11 +]]
set lmt12 [$ctsn eval {select dent from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt12a [expr [join $lmt12 +]]
set lmt13 [$ctsn eval {select dhol from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt13a [expr [join $lmt13 +]]
set lmt14 [$ctsn eval {select dmis from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt14a [expr [join $lmt14 +]]
set lmt15 [$ctsn eval {select dcins from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt15j [expr [join $lmt15 +]]
set lmt16 [$ctsn eval {select dhins from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt16j [expr [join $lmt16 +]]
set lmt17 [$ctsn eval {select dlins from Texpd where dd between ('*-12-2006') and $ddli}]
set lmt17j [expr [join $lmt17 +]]

set lmt16a [expr $lmt15j + $lmt16j + $lmt17j]

set lmtlp [$ctsn eval {select dpln from Texpj where dd between ('*-12-2006') and $ddli}]
set lmtlpt [expr [join $lmtlp +]]
set lmtlcc [$ctsn eval {select dccl from Texpj where dd between ('*-12-2006') and $ddli}]
set lmtlcct [expr [join $lmtlcc +]]
set lmtlca [$ctsn eval {select dcal from Texpj where dd between ('*-12-2006') and $ddli}]
set lmtlcat [expr [join $lmtlca +]]
set lmtlhm [$ctsn eval {select dhml from Texpj where dd between ('*-12-2006') and $ddli}]
set lmtlhmt [expr [join $lmtlhm +]] 

set lmt15a [expr $lmtlpt + $lmtlcct + $lmtlcat + $lmtlhmt]   
}

#############################
#Create spread sheet

proc modifyScrollbar {scrollbar cmd startFract endFract} { 
if {($endFract < 1.0) || ($startFract > 0)} { 
eval $cmd 
$scrollbar set $startFract $endFract } else { 
eval [lindex $cmd 0] forget $scrollbar 
} 
} 

#Define the grid commands for x & y scrollbars

set xCmd [list grid .mmes.xsb -row 1 -column 0 -sticky ew]
set yCmd [list grid .mmes.ysb -row 0 -column 1 -sticky ns]

#Create a canvas & grid it

canvas .mmes.c -height 315 -width 758 -scrollregion {0 0 200 50} -xscrollcommand [list modifyScrollbar .mmes.xsb $xCmd] -yscrollcommand [list modifyScrollbar .mmes.ysb $yCmd]

grid .mmes.c -row 0 -column 0 -sticky nsew

scrollbar .mmes.xsb -orient horizontal -command {.mmes.c xview}
scrollbar .mmes.ysb -orient vertical -command {.mmes.c yview}

grid columnconfigure . 0 -weight 1
grid rowconfigure . 0 -weight 1

frame .mmes.c.f
.mmes.c create window 0 0 -window .mmes.c.f -anchor nw
bind .mmes.c.f <Configure> {.mmes.c configure -scrollregion [.mmes.c bbox all]}

namespace eval spreadsheet {
  proc create {w args} {
    upvar #0 $w a
    array set a {-rows 14 -cols 17 -width 12} ;# default parameters
    array set a $args                      ;# maybe override defaults
    set a(last) $a(-rows),$a(-cols)        ;# keep grand total field
    trace var a w spreadsheet::redo
    frame $w
    for {set y 0} {$y<=$a(-rows)} {incr y} {
        set row [list]
        for {set x 0} {$x<=$a(-cols)} {incr x} {
            set e [entry $w.$y,$x -width $a(-width) \
                -textvar ::$w\($y,$x) -just left -fg blue]
            if {$x==$a(-cols) || $y==$a(-rows)} {
                $e config  -background "#009900" -relief flat -fg white
            }
            lappend row $e
        }
        eval grid $row -sticky news
    }
    $e config -relief solid
    set w
  }
  proc redo {_var el op} {
    upvar #0 $_var a
    if {$el!=$a(last)} {
        foreach {y x} [split $el ,] break
        if {$x!=""} {
            sum $_var $y,* $y,$a(-cols)
            sum $_var *,$x $a(-rows),$x
        } ;# otherwise 'el' was not a cell index
    }     ;# prevent endless recalculation of grand total
  }
  proc sum {_var pat target} {
    upvar #0 $_var a
    set sum 0
    set it "" ;# default if no addition succeeds
    foreach i [array names a $pat] {
        if {$i!=$target} {
            catch {set it [set sum [expr {$sum+$a($i)}]]}
        } ;# don't pull the total into the total
    }
    set ::$_var\($target) $it
  }
 }


pack [spreadsheet::create .mmes.c.f.s 0,0 $pmd 0,1 $pmf 0,2 $pmc 0,3 $pmtf 0,4 $pmtc 0,5 $pmuf 0,6 $pmr 0,7 $pmrn 0,8 $pmuh 0,9 $pmph 0,10 $pmel 0,11 $pmmd 0,12 $pment 0,13 $pmhol 0,14 $pmmis 0,15 $pmcins 0,16 $pmhins 0,17 Totals 1,0 Jan 1,1 $amt1a 1,2 $amt2a 1,3 $amt3a 1,4 $amt4a 1,5 $amt5a 1,6 $amt6a 1,7 $amt7a 1,8 $amt8a 1,9 $amt9a 1,10 $amt10a 1,11 $amt11a 1,12 $amt12a 1,13 $amt13a 1,14  $amt14a 1,15 $amt15a 1,16 $amt16a 2,0 Feb 2,1 $bmt1a 2,2 $bmt2a 2,3 $bmt3a 2,4 $bmt4a 2,5 $bmt5a 2,6 $bmt6a 2,7 $bmt7a 2,8 $bmt8a 2,9 $bmt9a 2,10 $bmt10a 2,11 $bmt11a 2,12 $bmt12a 2,13 $bmt13a 2,14 $bmt14a 2,15 $bmt15a 2,16 $bmt16a 3,0 March 3,1 $cmt1a 3,2 $cmt2a 3,3 $cmt3a 3,4 $cmt4a 3,5 $cmt5a 3,6 $cmt6a 3,7 $cmt7a 3,8 $cmt8a 3,9 $cmt9a 3,10 $cmt10a 3,11 $cmt11a 3,12 $cmt12a 3,13 $cmt13a 3,14 $cmt14a 3,15 $cmt15a 3,16 $cmt16a 4,0 April 4,1 $dmt1a 4,2 $dmt2a 4,3 $dmt3a 4,4 $dmt4a 4,5 $dmt5a 4,6 $dmt6a 4,7 $dmt7a 4,8 $dmt8a 4,9 $dmt9a 4,10 $dmt10a 4,11 $dmt11a 4,12 $dmt11a 4,12 $dmt12a 4,13 $dmt13a 4,14 $dmt14a 4,15 $dmt15a 4,16 $dmt16a 5,0 May 5,1 $emt1a 5,2 $emt2a 5,3 $emt3a 5,4 $emt4a 5,5 $emt5a 5,6 $emt6a 5,7 $emt7a 5,8 $emt8a 5,9 $emt9a 5,10 $emt10a 5,11 $emt11a 5,12 $emt12a 5,13 $emt13a 5,14 $emt14a 5,15 $emt15a 5,16 $emt16a 6,0 June 6,1 $fmt1a 6,2 $fmt2a 6,3 $fmt3a 6,4 $fmt4a 6,5 $fmt5a 6,6 $fmt6a 6,7 $fmt7a 6,8 $fmt8a 6,9 $fmt9a 6,10 $fmt10a 6,11 $fmt11a 6,12 $fmt12a 6,13 $fmt13a 6,14 $fmt14a 6,15 $fmt15a 6,16 $fmt16a 7,0 July 7,1 $gmt1a 7,2 $gmt2a 7,3 $gmt3a 7,4 $gmt4a 7,5 $gmt5a 7,6 $gmt6a 7,7 $gmt7a 7,8 $gmt8a 7,9 $gmt9a 7,10 $gmt10a 7,11 $gmt11a 7,12 $gmt12a 7,13 $gmt13a 7,14 $gmt14a 7,15 $gmt15a 7,16 $gmt16a 8,0 Aug 8,1 $hmt1a 8,2 $hmt2a 8,3 $hmt3a 8,4 $hmt4a 8,5 $hmt5a 8,6 $hmt6a 8,7 $hmt7a 8,8 $hmt8a 8,9 $hmt9a 8,10 $hmt10a 8,11 $hmt11a 8,12 $hmt12a 8,13 $hmt13a 8,14 $hmt14a 8,15 $hmt15a 8,16 $hmt16a 9,0 Sept 9,1 $imt1a 9,2 $imt2a 9,3 $imt3a 9,4 $imt4a 9,5 $imt5a 9,6 $imt6a 9,7 $imt7a 9,8 $imt8a 9,9 $imt9a 9,10 $imt10a 9,11 $imt11a 9,12 $imt12a 9,13 $imt13a 9,14 $imt14a 9,15 $imt15a 9,16 $imt16a 10,0 Oct 10,1 $jmt1a 10,2 $jmt2a 10,3 $jmt3a 10,4 $jmt4a 10,5 $jmt5a 10,6 $jmt6a 10,7 $jmt7a 10,8 $jmt8a 10,9 $jmt9a 10,10 $jmt10a 10,11 $jmt11a 10,12 $jmt12a 10,13 $jmt13a 10,14 $jmt14a 10,15 $jmt15a 10,16 $jmt16a 11,0 Nov 11,1 $kmt1a 11,2 $kmt2a 11,3 $kmt3a 11,4 $kmt4a 11,5 $kmt5a 11,6 $kmt6a 11,7 $kmt7a 11,8 $kmt8a 11,9 $kmt9a 11,10 $kmt10a 11,11 $kmt11a 11,12 $kmt12a 11,13 $kmt13a 11,14 $kmt14a 11,15 $kmt15a 11,16 $kmt16a 12,0 Dec 12,1 $lmt1a 12,2 $lmt2a 12,3 $lmt3a 12,4 $lmt4a 12,5 $lmt5a 12,6 $lmt6a 12,7 $lmt7a 12,8 $lmt8a 12,9 $lmt9a 12,10 $lmt10a 12,11 $lmt11a 12,12 $lmt12a 12,13 $lmt13a 12,14 $lmt14a 12,15 $lmt15a 12,16 $lmt16a 13,0 Totals] -fill both
}

dmmAcs
